EXPRESS(1)

NAME
berkeley-express - Streaming quantification for high-throughput sequencing

DESCRIPTION
File Usage: express [options] <target_seqs.fa> <hits.(sam/bam)> Piped Usage: bowtie [options] -S <index> <reads.fq> | express [options] <target_seqs.fa>

  Required arguments:

<target_seqs.fa>
    target sequence file in fasta format

<hits.(sam/bam)>
    read alignment file in SAM or BAM format

  Standard Options:

-h [ --help ]
    produce help message

-o [ --output-dir ] arg (=.)
    write all output files to this directory

-D [ --preprocess ]
    run preprocess script for eXpressD

-m [ --frag-len-mean ] arg (=200)
    prior estimate for average fragment length

-s [ --frag-len-stddev ] arg (=80)
    prior estimate for fragment length std deviation

-H [ --haplotype-file ] arg
    path to a file containing haplotype pairs

-B [ --additional-batch ] arg (=0)
    number of additional batch EM rounds after initial online round

-O [ --additional-online ] arg (=0) number of additional online EM rounds
    after initial online round

-L [ --max-read-len ] arg (=250)
    maximum allowed length of a read

--output-align-prob
    output alignments (sam/bam) with probabilistic assignments

--output-align-samp
    output alignments (sam/bam) with sampled assignments

--fr-stranded
    accept only forward->reverse alignments (second-stranded protocols)

--rf-stranded
    accept only reverse->forward alignments (first-stranded protocols)

--f-stranded
    accept only forward single-end alignments (second-stranded protocols)

--r-stranded
    accept only reverse single-end alignments (first-stranded protocols)

--no-update-check
    disables automatic check for update via web

--logtostderr
    prints all logging messages to stderr

  Advanced Options:

-f [ --forget-param ] arg (=0.84999999999999998)
    sets the 'forgetting factor' parameter (0.5 < c <= 1)

--library-size arg
    specifies library size for FPKM instead of calculating from alignments

--max-indel-size arg (=10)
    sets the maximum allowed indel size, affecting geometric indel prior

--calc-covar
    calculate and output covariance matrix

--expr-alpha arg (=0.0050000000000000001)
    sets the strength of the prior, per bp

--stop-at arg (=0)
    sets the number of fragments to process, disabled with 0

--burn-out arg (=5000000)
    sets number of fragments after which to stop updating auxiliary parameters

--no-bias-correct
    disables bias correction

--no-error-model
    disables error modelling

--aux-param-file arg
    path to file containing auxiliary parameters to use instead of learning